## live-installer 2020.03.13

=== debian/changelog ===
live-installer (2020.03.13) debbie; urgency=medium

  [ Clement Lefebvre ]
  * LUKS: Make use of badblocks optional
  * l10n: Update POT

  [ Michael Webster ]
  * user creation page: Add a placeholder to the checkmark column so the checks don't push all of the content to the left when they appear.

  [ Clement Lefebvre ]
  * Timezone: Give button box a spread layout
  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 13 Mar 2020 11:32:03 +0000

live-installer (2020.03.09) debbie; urgency=medium

  * Fix padding in timezone and slideshow

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 09 Mar 2020 13:00:53 +0000

live-installer (2020.03.07) debbie; urgency=medium

  * Virtualbox: Fix XDG Autostart file

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 07 Mar 2020 12:30:33 +0000

live-installer (2020.03.06.1) debbie; urgency=medium

  * Virtualbox: Bump live resolution to a minimum of 1024x768px

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 06 Mar 2020 12:08:15 +0000

live-installer (2020.03.06) debbie; urgency=medium

  [ Clement Lefebvre ]
  * Remove obsolete code

  [ Michael Webster ]
  * timezones: Split timezone selection into two menus - menu scrolling only works for the 'primary' menu, not submenus, so the continents are one menu, zones inside each continent in the other.
  * Add some padding around the floating time label in the timezone map.
  * timezones: Move the center of the label to the target location instead of the upper left corner.

  [ Clement Lefebvre ]
  * Partitioning: Improve failure detection when making label and partitions
  * l10n: Update POT
  * Install microcode packages
  * EFI: Don't create EFI\linuxmint
  * live-installer-stop: Suppress most errors during post-install reboot
  * Expert mode: Fixed Next button not visible during pause
  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 06 Mar 2020 10:29:54 +0000

live-installer (2020.03.04) debbie; urgency=medium

  * Partitioning: Wait up to 5s for newly created device to appear before formatting
  * GPT: Install signed shim and grub packages

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 04 Mar 2020 10:02:01 +0000

live-installer (2020.02.28) debbie; urgency=medium

  * Automatic partitioning: Fix NVME support
  * Add translations to core package
  * l10n: Replace hostname with computer's name.
  * l10n: Rename dialog titles
  * UI: User page, focus appropriate widget when a new entry is needed

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 28 Feb 2020 10:25:12 +0000

live-installer (2020.02.13) debbie; urgency=medium

  * l10n: Update POT
  * Automated install: Fix hardcoded references to /dev/sda

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 13 Feb 2020 16:17:32 +0000

live-installer (2020.02.12.1) debbie; urgency=medium

  * More fixes

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 12 Feb 2020 16:16:40 +0000

live-installer (2020.02.12) debbie; urgency=medium

  * Few more fixes

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 12 Feb 2020 14:51:14 +0000

live-installer (2020.02.11.1) debbie; urgency=medium

  * Various fixes

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 11 Feb 2020 16:42:38 +0000

live-installer (2020.02.11) debbie; urgency=medium

  * Fix wrong live mount points
  * Add support for LUKS and LVM in the UI
  * Refactor installer and setup classes
  * Installer: Remove unused support for alternative DMs
  * More refactoring
  * Installer: Add initial support for automated install, LUKS and LVM
  * UI: Make it clearer that LVM is required for LUKS
  * Small fixes

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 11 Feb 2020 15:09:56 +0000

live-installer (2020.02.04) debbie; urgency=medium

  [ Michael Webster ]
  * keyboard layout: Base hidpi processing on gtk's scale state instead of letting QT5 do it itself.
  * interface.ui: Make adjustments to reduce the required window height.
  * gtk_interface.py: Change the EFI minimum size  to 35mb (this matches ubiquity).

  [ Clement Lefebvre ]
  * UI: Expand installation footer
  * live-installer-stop: Don't rely on plymouth to show the message
  * l10n: Update POT

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 04 Feb 2020 16:24:10 +0000

live-installer (2020.01.31) debbie; urgency=medium

  * NVIDIA: Install in chroot and cleanup /target

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 31 Jan 2020 09:59:10 +0000

live-installer (2020.01.30) debbie; urgency=medium

  [ Michael Webster ]
  * Render keyboard layout properly in hidpi.
  * gtk_interface.py: Use a spinning widget instead of a gif when loading a keyboard layout.
  * interface.ui: Keep the space for the non-latin warning label reserved, so when the label is shown, it doesn't resize the scroll boxes.

  [ Clement Lefebvre ]
  * NVIDIA driver: Add systemd support

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 30 Jan 2020 17:37:56 +0000

live-installer (2020.01.29) debbie; urgency=medium

  * Add support for home directory encryption
  * Fix killing screensaver
  * Mount /run during the installation
  * File copy: Add missing / in file path given to the UI
  * Don't test squashfs presence in debug mode
  * Add home directory encryption option to UI
  * live-installer-stop: Fix ISO mount point
  * Remove memtest86+ before updating grub

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 29 Jan 2020 11:31:33 +0000

live-installer (2020.01.27) debbie; urgency=medium

  * Remove config file
  * Cleanup test script
  * Detect live path before starting the installer.

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 29 Jan 2020 11:31:25 +0000

live-installer (2020.01.21) debbie; urgency=medium

  * Language list: Ellipsize, resizable columns
  * User page: Fix checks visible by default
  * Keyboard page: Ellipsize combo
  * Add grid lines to treeviews

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 21 Jan 2020 11:25:03 +0000

live-installer (2020.01.17) debbie; urgency=medium

  * UI: Reorganize glade vbox widgets


=== debian/control ===
Source: live-installer
Section: admin
Priority: optional
Maintainer: Clement Lefebvre <root@linuxmint.com>
Build-Depends: debhelper (>= 9),
               python
X-Python-Version: >= 2.7
Standards-Version: 3.9.5
Vcs-Git: git://github.com/linuxmint/live-installer.git
Vcs-Browser: https://github.com/linuxmint/live-installer

Package: live-installer
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, gir1.2-webkit2-4.0
  , python (>= 2.7), python (<< 3)
  , python-parted, parted, gparted
  , python-gi-cairo
  , python-pyqt5
  , python-pil
  , imagemagick
  , isoquery
  , desktop-file-utils
  , shared-mime-info
  , sysv-rc
  , menu
  , gdisk
  , isoquery, iso-codes, locales
  , adduser
  , rsync
Description: Live Installer
 A live installer

## live-installer 2021.01.05+pearl10

=== debian/changelog ===
live-installer (2021.01.05+pearl10) buster; urgency=medium

  * Pearl hooks added

 -- Scott Vandergrift <scottvandergrift@gmail.com>  Fri, 12 Mar 2021 03:37:01 -0600

live-installer (2021.01.05) buster; urgency=medium

  * Fix padding in timezone and slideshow

 -- Scott Vandergrift <scottvandegrift@gmail.com>  Fri, 05 Feb 2021 13:00:53 +0000

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,11 @@
 Source: live-installer
 Section: admin
 Priority: optional
-Maintainer: Clement Lefebvre <root@linuxmint.com>
+Maintainer: Scott Vandergrift <scottvandergrift@gmail.com>
 Build-Depends: debhelper (>= 9),
                python
 X-Python-Version: >= 2.7
 Standards-Version: 3.9.5
-Vcs-Git: git://github.com/linuxmint/live-installer.git
-Vcs-Browser: https://github.com/linuxmint/live-installer
 
 Package: live-installer
 Architecture: all

## live-installer 2022.03.12

=== debian/changelog ===
live-installer (2022.03.12) elsie; urgency=medium

  * l10n: Fix a few errors

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 12 Mar 2022 11:06:02 +0000

live-installer (2022.03.11.1) elsie; urgency=medium

  [ Michael Webster ]
  * Install: Sort the partition list from toplevel down, so descendants are mounted properly.

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 11 Mar 2022 19:59:10 +0000

live-installer (2022.03.11) elsie; urgency=medium

  [ Michael Webster ]
  * Disable context menu in the partition webview.

  [ Butterfly ]
  * Fix missing translation (Copying) (#129)
  * Update makepot for interface.ui (#130)

  [ Clement Lefebvre ]
  * Disable context menu in the partition webview (via webkit)
  * l10n: Update POT + fixes
  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 11 Mar 2022 13:58:39 +0000

live-installer (2022.02.16.1) elsie; urgency=medium

  * Grub: Purge grub-pc before installing grub-efi-amd64

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 16 Feb 2022 21:41:06 +0000

live-installer (2022.02.16) elsie; urgency=medium

  * Revert "Bring back eject script"

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 16 Feb 2022 14:47:39 +0000

live-installer (2022.02.15) elsie; urgency=medium

  [ Clement Lefebvre ]
  * l10n: Update POT

  [ Michael Webster ]
  * Bump debhelper version to quiet warnings and drop python2 build dep.
  * installer: handle special characters in passwords better.
  * Mount/unmount efivars
  * Make sure /target gets unmounted.
  * Allow editing of swap properties.
  * Write to a tempfile in /dev/shm (ram) instead of /tmp.
  * interface: Validate the user and media setup pages whenever there is user input.
  * Don't disable the next button when manual paritioning is selected.

  [ Clement Lefebvre ]
  * Allow short passwords
  * l10n: Update POT
  * Bring back eject script
  * fstab: Mark /boot and /boot/efi as fsck=1 in manual mode
  * EFI: Purge grub-pc after install grub-efi
  * Languages: Skip languages which code isn't defined in ISO standard
  * Languages: Skip locales with no countries
  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 15 Feb 2022 17:12:37 +0000

live-installer (2022.02.08) elsie; urgency=medium

  * dialogs: Remove obsolete btrfs subvolume warnings
  * Debug mode: Generate dummy fstab, mtab and crypttab files
  * Installer: Fix dedicated home detection
  * Timezones: Make the map look better

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 08 Feb 2022 13:47:41 +0000

live-installer (2022.02.04.1) elsie; urgency=medium

  * Partitioning: Clean up filesystem choices
  * Rework Btrfs support

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 04 Feb 2022 14:00:08 +0000

live-installer (2022.02.04) elsie; urgency=medium

  * Don't kill the screensaver
  * Remove shutdown eject script
  * Partitioning: Wipe previous LVM groups before full format

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 04 Feb 2022 11:04:10 +0000

live-installer (2022.02.03.1) elsie; urgency=medium

  * Disk encryption: Only calculate UUID after the partitions are created

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 03 Feb 2022 13:25:19 +0000

live-installer (2022.02.03) elsie; urgency=medium

  * User page: Don't switch focus while validating

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 03 Feb 2022 12:55:30 +0000

live-installer (2022.02.02) elsie; urgency=medium

  * Fix key combo in keyboard layout switch label
  * l10n: Update POT
  * UI: Make window fit in 1024x768
  * UI: Fix Partitioning webview bg color
  * Partitioning: Fix naming scheme for eMMC devices
  * User page: Rework form validation
  * Partitioning: Use UUID with LVM
  * Fix indentation
  * Partitioning dialog: Fix icon

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 02 Feb 2022 16:34:49 +0000

live-installer (2022.01.24) elsie; urgency=medium

  * Language list: Clean up country/language names
  * Switch to circle-flags-svg
  * Update Mint logo
  * Update the welcome screen
  * Update the UI
  * Remove unused loading.gif
  * Remove unused icons
  * UI: Update timezone map
  * UI: Tune map and keyboard layout

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 24 Jan 2022 15:56:47 +0000

live-installer (2022.01.19) elsie; urgency=medium

  * Launchers: Bring back -O option

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 19 Jan 2022 17:21:06 +0000

live-installer (2022.01.18) elsie; urgency=medium

  [ Christophe Godart ]
  * Don't install EFI packages if "Install GRUB" is not checked

  [ Clement Lefebvre ]
  * Keyboard layouts: Use super+space to switch layouts
  * l10n: Update translations
  * l10n: Update translations
  * Migrate to Python3 (#119)
  * Timezones: Clean up code and resources

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 18 Jan 2022 13:29:05 +0000

## live-installer 2023.08.19

=== debian/changelog ===
live-installer (2023.08.19) faye; urgency=medium

  [ Clement Lefebvre ]
  * Fix locale flags in HiDPI

  [ Michael Webster ]
  * Fix a few problems with passwords, usernames and hostnames.

  [ Clement Lefebvre ]
  * LUKS: Add discard option in crypttab
  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 19 Aug 2023 17:41:00 +0200

## live-installer 2023.08.23

=== debian/changelog ===
live-installer (2023.08.23) faye; urgency=medium

  * frontend: Update title
  * adduser: Use --disabled-password

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 23 Aug 2023 11:40:39 +0100

## live-installer 2023.08.23.1

=== debian/changelog ===
live-installer (2023.08.23.1) faye; urgency=medium

  * Don't install microcode pkgs

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 23 Aug 2023 16:27:55 +0100

## live-installer 2023.08.24

=== debian/changelog ===
live-installer (2023.08.24) faye; urgency=medium

  * Revert "Don't install microcode pkgs"
  * Fix installation of iucode-tool

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 24 Aug 2023 10:30:03 +0100

## live-installer 2023.08.24.1

=== debian/changelog ===
live-installer (2023.08.24.1) faye; urgency=medium

  * Fix title

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 24 Aug 2023 20:43:03 +0100

## live-installer 2023.09.07

=== debian/changelog ===
live-installer (2023.09.07) faye; urgency=medium

  * Inject eject message within plymouth theme
  * partitioning: Include parted.getDevice() in the try/catch
  * partitioning: Add an edit button
  * l10n: Update POT
  * partitioning: Fix HTML partition preview wrapping

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 07 Sep 2023 14:53:00 +0100

## live-installer 2023.09.08

=== debian/changelog ===
live-installer (2023.09.08) faye; urgency=medium

  * Rephrase live media eject msg

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 08 Sep 2023 11:32:19 +0100

## live-installer 2023.09.14

=== debian/changelog ===
live-installer (2023.09.14) faye; urgency=medium

  * live-installer-expert-mode: Call live-installer shell script
  * live-installer: Don't accept to be run without sudo
  * installer: support /casper path to find the squashfs file
  * interface: Use white dots
  * UI: Show a dialog when the medium is not found

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 14 Sep 2023 17:15:01 +0100

## live-installer 2023.09.15

=== debian/changelog ===
live-installer (2023.09.15) faye; urgency=medium

  * expert mode: Don't let user press Next if /target is not mounted

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 15 Sep 2023 10:49:20 +0100

## live-installer 2023.09.18

=== debian/changelog ===
live-installer (2023.09.18) faye; urgency=medium

  * UI: Fix "Next" button label when the back button is pressed.
  * partitioning: Refactor get_disks()
  * partitioning: Exclude eMMC hardware devices

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 18 Sep 2023 12:09:17 +0100

## live-installer 2023.09.19.2

=== debian/changelog ===
live-installer (2023.09.19.2) faye; urgency=medium

  * partitioning: Handle exceptions differently for getDevice() and Disk()

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 19 Sep 2023 15:54:33 +0100

live-installer (2023.09.19.1) faye; urgency=medium

  * partitioning: Exclude empty devices

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 19 Sep 2023 15:33:46 +0100

live-installer (2023.09.19) faye; urgency=medium

  * Remove leftover print statement
  * Don't install microcode pkgs
  * Remove unused code

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 19 Sep 2023 09:57:45 +0100

=== debian/control ===
Source: live-installer
Section: admin
Priority: optional
Maintainer: Linux Mint <root@linuxmint.com>
Build-Depends: debhelper (>= 10)
Standards-Version: 3.9.5
Vcs-Git: git://github.com/linuxmint/live-installer.git
Vcs-Browser: https://github.com/linuxmint/live-installer

Package: live-installer
Architecture: all
Depends: ${misc:Depends}, gir1.2-webkit2-4.0
  , python3
  , python3-parted, parted, gparted
  , python3-gi-cairo
  , python3-pyqt5
  , python3-pil
  , imagemagick
  , isoquery
  , desktop-file-utils
  , shared-mime-info
  , sysv-rc
  , menu
  , gdisk
  , isoquery, iso-codes, locales
  , adduser
  , rsync
  , circle-flags-svg
Description: Live Installer
 A live installer

## live-installer 2025.03.25.1

=== debian/changelog ===
live-installer (2025.03.25.1) gigi; urgency=medium

  * l10n: Update translations
  * Remove test-slideshow (obsolete)
  * Switch to Webkit2 4.1
  * Keyboard layout: Don't use a spinner animation
  * Keyboard layout: Switch from Qt to PIL
  * Move constant to the right python file
  * Reorganize code files
  * Start implementing OEM mode
  * OEM: Add an X session which calls the installer in oem-config mode
  * OEM: Implement oem-mode
  * OEM: Start implementing oem-config
  * OEM: Implement oem-config

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 25 Mar 2025 12:05:59 +0000

## live-installer 2025.03.25.5

=== debian/changelog ===
live-installer (2025.03.25.5) gigi; urgency=medium

  * l10n: Update translations
  * Remove test-slideshow (obsolete)
  * Switch to Webkit2 4.1
  * Keyboard layout: Don't use a spinner animation
  * Keyboard layout: Switch from Qt to PIL
  * Move constant to the right python file
  * Reorganize code files
  * Start implementing OEM mode
  * OEM: Add an X session which calls the installer in oem-config mode
  * OEM: Implement oem-mode
  * OEM: Start implementing oem-config
  * OEM: Implement oem-config

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 25 Mar 2025 12:05:59 +0000

=== debian/control ===
--- 
+++ 
@@ -9,11 +9,10 @@
 
 Package: live-installer
 Architecture: all
-Depends: ${misc:Depends}, gir1.2-webkit2-4.0
+Depends: ${misc:Depends}, gir1.2-webkit2-4.1
   , python3
   , python3-parted, parted, gparted
   , python3-gi-cairo
-  , python3-pyqt5
   , python3-pil
   , imagemagick
   , isoquery

## live-installer 2025.03.25.6

=== debian/changelog ===
live-installer (2025.03.25.6) gigi; urgency=medium

  * l10n: Update translations
  * Remove test-slideshow (obsolete)
  * Switch to Webkit2 4.1
  * Keyboard layout: Don't use a spinner animation
  * Keyboard layout: Switch from Qt to PIL
  * Move constant to the right python file
  * Reorganize code files
  * Start implementing OEM mode
  * OEM: Add an X session which calls the installer in oem-config mode
  * OEM: Implement oem-mode
  * OEM: Start implementing oem-config
  * OEM: Implement oem-config

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 25 Mar 2025 12:05:59 +0000

## live-installer 2025.03.25.7

=== debian/changelog ===
live-installer (2025.03.25.7) gigi; urgency=medium

  * l10n: Update translations
  * Remove test-slideshow (obsolete)
  * Switch to Webkit2 4.1
  * Keyboard layout: Don't use a spinner animation
  * Keyboard layout: Switch from Qt to PIL
  * Move constant to the right python file
  * Reorganize code files
  * Start implementing OEM mode
  * OEM: Add an X session which calls the installer in oem-config mode
  * OEM: Implement oem-mode
  * OEM: Start implementing oem-config
  * OEM: Implement oem-config

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 25 Mar 2025 12:05:59 +0000

## live-installer 2025.03.26

=== debian/changelog ===
live-installer (2025.03.26) gigi; urgency=medium

  * l10n: Update translations
  * Remove test-slideshow (obsolete)
  * Switch to Webkit2 4.1
  * Keyboard layout: Don't use a spinner animation
  * Keyboard layout: Switch from Qt to PIL
  * Move constant to the right python file
  * Reorganize code files
  * Start implementing OEM mode
  * OEM: Add an X session which calls the installer in oem-config mode
  * OEM: Implement oem-mode
  * OEM: Start implementing oem-config
  * OEM: Implement oem-config

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 25 Mar 2025 12:05:59 +0000

## live-installer 2025.03.26.1

=== debian/changelog ===
live-installer (2025.03.26.1) gigi; urgency=medium

  * l10n: Update translations
  * Remove test-slideshow (obsolete)
  * Switch to Webkit2 4.1
  * Keyboard layout: Don't use a spinner animation
  * Keyboard layout: Switch from Qt to PIL
  * Move constant to the right python file
  * Reorganize code files
  * Start implementing OEM mode
  * OEM: Add an X session which calls the installer in oem-config mode
  * OEM: Implement oem-mode
  * OEM: Start implementing oem-config
  * OEM: Implement oem-config

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 25 Mar 2025 12:05:59 +0000

## live-installer 2025.03.27

=== debian/changelog ===
live-installer (2025.03.27) gigi; urgency=medium

  * l10n: Update translations
  * Remove test-slideshow (obsolete)
  * Switch to Webkit2 4.1
  * Keyboard layout: Don't use a spinner animation
  * Keyboard layout: Switch from Qt to PIL
  * Move constant to the right python file
  * Reorganize code files
  * Start implementing OEM mode
  * OEM: Add an X session which calls the installer in oem-config mode
  * OEM: Implement oem-mode
  * OEM: Start implementing oem-config
  * OEM: Implement oem-config

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 25 Mar 2025 12:05:59 +0000

=== debian/control ===
--- 
+++ 
@@ -11,15 +11,14 @@
 Architecture: all
 Depends: ${misc:Depends}, gir1.2-webkit2-4.1
   , python3
+  , python3-distro
   , python3-parted, parted, gparted
   , python3-gi-cairo
   , python3-pil
-  , imagemagick
   , isoquery
   , desktop-file-utils
   , shared-mime-info
   , sysv-rc
-  , menu
   , gdisk
   , isoquery, iso-codes, locales
   , adduser

## live-installer 2025.03.28

=== debian/changelog ===
live-installer (2025.03.28) gigi; urgency=medium

  * l10n: Update translations
  * Remove test-slideshow (obsolete)
  * Switch to Webkit2 4.1
  * Keyboard layout: Don't use a spinner animation
  * Keyboard layout: Switch from Qt to PIL
  * Move constant to the right python file
  * Reorganize code files
  * Start implementing OEM mode
  * OEM: Add an X session which calls the installer in oem-config mode
  * OEM: Implement oem-mode
  * OEM: Start implementing oem-config
  * OEM: Implement oem-config

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 25 Mar 2025 12:05:59 +0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

%:
	dh $@

## live-installer 2025.10.05

=== debian/changelog ===
live-installer (2025.10.05) gigi; urgency=medium

  * Add .gitignore
  * deps: remove sysv-rc
  * Don't localize the first page
  * l10n: Apply selected language to label
  * l10n: Fix missing translations
  * l10n: Simplify msgids
  * l10n: Update translations
  * Mint: Don't hardcode casper/live paths
  * Mint: Don't hardcode distribution info
  * OEM: Apply the GTK theme to root
  * OEM: Don't refer to fonts in the SVG
  * OEM: Don't show window controls in oem-config mode
  * OEM: Don't touch plymouth in oem-config mode
  * OEM: Fix localization
  * OEM: Give oem-config a different splash screen
  * OEM: Launch a terminal when Ctrl+T is pressed
  * OEM: Only remove live packages after oem-config is done
  * OEM: Set the GTK and icon themes
  * Only mount the live media in live mode
  * Remove unused content

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 05 Sep 2025 16:58:33 +0100

live-installer (2025.03.25) gigi; urgency=medium

  * l10n: Update translations
  * Remove test-slideshow (obsolete)
  * Switch to Webkit2 4.1
  * Keyboard layout: Don't use a spinner animation
  * Keyboard layout: Switch from Qt to PIL
  * Move constant to the right python file
  * Reorganize code files
  * Start implementing OEM mode
  * OEM: Add an X session which calls the installer in oem-config mode
  * OEM: Implement oem-mode
  * OEM: Start implementing oem-config
  * OEM: Implement oem-config

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 25 Mar 2025 12:05:59 +0000

## live-installer 2025.10.08

=== debian/changelog ===
live-installer (2025.10.08) gigi; urgency=medium

  [ Michael Webster ]
  * oem-config: Detect hidpi mode (#168)

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 08 Sep 2025 18:05:28 +0100

## live-installer 2025.10.10

=== debian/changelog ===
live-installer (2025.10.10) gigi; urgency=medium

  * Update banner background color

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 10 Sep 2025 12:25:29 +0100

## live-installer 2025.10.11

=== debian/changelog ===
live-installer (2025.10.11) gigi; urgency=medium

  [ Michael Webster ]
  * Add WEBKIT_DISABLE_COMPOSITING_MODE=1 to live-installer and oem config.
  * language selection: Fix auto-scrolling position for pre-selected language.

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 15 Sep 2025 17:09:47 +0100

## live-installer 2025.10.12

=== Makefile ===
all: buildmo

buildmo:
	@echo "Building the mo files"
	# WARNING: the second sed below will only works correctly with the languages that don't contain "-"
	for file in `ls po/*.po`; do \
		lang=`echo $$file | sed 's@po/@@' | sed 's/\.po//' | sed 's/live-installer-//'`; \
		install -d usr/share/locale/$$lang/LC_MESSAGES/; \
		msgfmt -o usr/share/locale/$$lang/LC_MESSAGES/live-installer.mo $$file; \
	done \

clean:
	rm -rf usr/share/locale

=== debian/changelog ===
live-installer (2025.10.12) gigi; urgency=medium

  * partitioning: Add an empty mount point option

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 18 Sep 2025 15:11:12 +0100

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,6 @@
   , isoquery
   , desktop-file-utils
   , shared-mime-info
-  , sysv-rc
   , gdisk
   , isoquery, iso-codes, locales
   , adduser
